Skip to main content
GET
Get a voucher

Authorizations

Authorization
string
header
required

Clerk tenant API key. The organizationId encoded by the key is the exact and only tenant scope.

Path Parameters

voucherId
string
required

Query Parameters

includeCodes
boolean
default:false

When true, includes fulfillment or voucher codes. Codes are excluded by default because they grant value.

Response

Tenant-scoped resource.

code is omitted unless includeCodes=true.

voucherId
string
required
voucherGroupId
string | null
required
status
enum<string>
required
Available options:
available,
assigned,
redeemed,
expired
recipient
object
required
assignedAt
string<date-time> | null
required

UTC ISO 8601 timestamp.

redemption
object
required
createdAt
string<date-time>
required

UTC ISO 8601 timestamp.

expiresAt
string<date-time> | null
required

UTC ISO 8601 timestamp.

code
string